Subject: bug#32207: 26.1; can't set window position with emacs 26.3

From: [email-masked]
Date: Thu, 19 Jul 2018 12:56:58 -0700

> Maybe Emacs changed the way it requests the screen position
> to a way that fvwm doesn't like.  I'll need to try with
> another window manager.

If I kill fvwm and start mutter, emacs places itself properly.

Looking at fvwm's log I see this message when starting emacs:
  [fvwm.0][GetWindowSizeHints]: <<WARNING>> reason: 6: The
  hints have been ignored because the window's current size
  would have become invalid.  The new hints will become
  active when the window generates the next ConfigureRequest.

I don't remember seeing this message before.

If I turn fvwm's:
  BugOpts ExplainWindowPlacement True

When I start emacs as:
  emacs -Q -g 80x40+500+500
I get this explanation:
  [fvwm.0][__explain_placement]: placed new window 0x1800142 'emacs@...':
    initial size 764x780
    desk 0 (current desk)
    current page
    position 20 40, placed by fvwm (ignored program specified position)
      placement method: TileCascade

Similarly for -geometry 80x40+500+500, and --geometry=80x40+500+500

When I start an xterm as:
  xterm -geometry 80x40+500+500
I get this one:
  [fvwm.0][__explain_placement]: placed new window 0x1800025 'xterm':
    initial size 816x839
    desk 0 (current desk)
    current page
    position 500 500  (used user specified position)

For xterm, fvwm says "user specified", for emacs it says "program specified". 
This and the IgnoredHints above may have something to do with it.

-- Henrique